import fond.io.*;

public class EsercizioTriangolo{
	public static void main(String args[]){

		InputWindow in=new InputWindow();
		OutputWindow out=new OutputWindow();

		// lettura dell'input

		double x1=in.readDouble("Coordinata x del primo punto");
		double y1=in.readDouble("Coordinata y del primo punto");

		Punto p1=new Punto(x1,y1);

		double x2=in.readDouble("Coordinata x del secondo punto");
		double y2=in.readDouble("Coordinata y del secondo punto");

		Punto p2=new Punto(x2,y2);

		double x3=in.readDouble("Coordinata x del terzo punto");
		double y3=in.readDouble("Coordinata y del terzo punto");

		Punto p3=new Punto(x3,y3);

		// calcolo dell'ortocentro

		Retta r12=new Retta(p1,p2);
		Retta r13=new Retta(p1,p3);
		Retta r23=new Retta(p2,p3);

		Retta n1=r12.perpendicolare(p3);
		Retta n2=r13.perpendicolare(p2);

		Punto orto=n1.intersezione(n2);

		// calcolo del baricentro

		Punto p12=Punto.puntoMedio(p1,p2);
		Punto p13=Punto.puntoMedio(p1,p3);

		Retta m1=new Retta(p12,p3);
		Retta m2=new Retta(p13,p2);

		Punto bari=m1.intersezione(m2);

		// calcolo del circoncentro

		Retta a1=r12.perpendicolare(p12);
		Retta a2=r13.perpendicolare(p13);

		Punto circo=a1.intersezione(a2);

		// stampa output

		out.writeln("L'ortocentro del triangolo : ");
		out.write(orto.coordX());
		out.write(",");
		out.writeln(orto.coordY());

		out.writeln("Il baricentro del triangolo : ");
		out.write(bari.coordX());
		out.write(",");
		out.writeln(bari.coordY());

		out.writeln("Il circoncentro del triangolo : ");
		out.write(circo.coordX());
		out.write(",");
		out.writeln(circo.coordY());

	}
}